diff abyss_toolsuite-92636934a189/abyss/abyss_wrapper.sh @ 0:ce99b6666d1f draft

Uploaded
author msjeon
date Mon, 11 Jun 2012 14:48:15 -0400
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/abyss_toolsuite-92636934a189/abyss/abyss_wrapper.sh	Mon Jun 11 14:48:15 2012 -0400
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if [ $# -ne 3 ]
+then
+    echo "ERROR: Expected exactly 3 arguments; got: $*" 1>&2
+    exit 1
+fi
+
+CMD=`ABYSS -k$1 $2 -o $3 2>&1`
+if [ $? -ne 0 ]
+then
+{
+    echo "COMMAND FAILURE: $CMD" 1>&2
+    exit $?
+}
+fi